Package org.h2gis.functions.io.shp.internal

# Class PointHandler

java.lang.Object
org.h2gis.functions.io.shp.internal.PointHandler

All Implemented Interfaces:
  `ShapeHandler`

public class PointHandler extends Object implements ShapeHandler
Wrapper for a Shapefile point.

Author:
  aaime, Ian Schneider

## Constructor Summary

Constructors
Constructor
Description
`PointHandler()`
`PointHandler(ShapeType type)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getLength(org.locationtech.jts.geom.Geometry geometry)`
Get the length of the given geometry Object in bytes not 16-bit words.
`ShapeType`
`getShapeType()`
Returns the shapefile shape type value for a point
`org.locationtech.jts.geom.Geometry`
`read(ReadBufferManager buffer, ShapeType type)`
Read a geometry from the ByteBuffer.The buffer's position, byteOrder, and limit are set to that which is needed.
`void`
`write(WriteBufferManager buffer, org.locationtech.jts.geom.Geometry geometry)`
Write the geometry into the ByteBuffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PointHandler

public PointHandler(ShapeType type) throws ShapefileException

Throws:
  `ShapefileException`

### PointHandler

public PointHandler()

## Method Details

### getShapeType

public ShapeType getShapeType()
Returns the shapefile shape type value for a point

Specified by:
  `getShapeType` in interface `ShapeHandler`
Returns:
  int Shapefile.POINT

### getLength

public int getLength(org.locationtech.jts.geom.Geometry geometry)
Description copied from interface: `ShapeHandler`
Get the length of the given geometry Object in bytes not 16-bit words. This is easier to keep track of, since the ByteBuffer deals with bytes. Do not include the 8 bytes of record.

Specified by:
  `getLength` in interface `ShapeHandler`
Parameters:
  `geometry` - The geometry to analyze.
Returns:
  The number of bytes the shape will take up.

### read

public org.locationtech.jts.geom.Geometry read(ReadBufferManager buffer, ShapeType type) throws IOException
Description copied from interface: `ShapeHandler`
Read a geometry from the ByteBuffer.The buffer's position, byteOrder, and limit are set to that which is needed. The record has been read as well as the shape type integer. The handler need not worry about reading unused information as the ShapefileReader will correctly adjust the buffer position after this call.

Specified by:
  `read` in interface `ShapeHandler`
Parameters:
  `buffer` - The ByteBuffer to read from.
  `type` - The shape type
Returns:
  A geometry object.
Throws:
  `IOException`

### write

public void write(WriteBufferManager buffer, org.locationtech.jts.geom.Geometry geometry) throws IOException
Description copied from interface: `ShapeHandler`
Write the geometry into the ByteBuffer. The position, byteOrder, and limit are all set. The handler is not responsible for writing the record or shape type integer.

Specified by:
  `write` in interface `ShapeHandler`
Parameters:
  `buffer` - The ByteBuffer to write to.
  `geometry` - The geometry to write.
Throws:
  `IOException`